com.trendmicro.ds.integrity.rest.object

## Class Event

- java.lang.Object
- - com.trendmicro.ds.integrity.rest.object.Event

-     public class Event
      extends java.lang.Object

  An integrity event.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Event.IntegrityRuleSeverity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChange()` Gets the change value from this IntegrityEvent.
    `java.lang.String` | `getDescription()` Gets the description value from this IntegrityEvent.
    `java.lang.Long` | `getEventID()` Gets the integrityEventID value for this IntegrityEvent
    `java.lang.Integer` | `getHostID()` Gets the hostID value from this IntegrityEvent.
    `java.lang.String` | `getHostName()` Gets the hostName value from this IntegrityEvent.
    `java.lang.Integer` | `getIntegrityRuleID()` Gets the integrityRuleID value from this IntegrityEvent.
    `Entity` | `getIsEntity()` Gets the Entity value from this IntegrityEvent.
    `java.lang.String` | `getKey()` Gets the key value from this IntegrityEvent.
    `java.util.Date` | `getLogTime()` Get the time at which the event was recorded.
    `java.lang.String` | `getProcess()` Gets the process value from this IntegrityEvent.
    `java.lang.Integer` | `getRank()` Gets the rank value from this IntegrityEvent.
    `java.lang.String` | `getReason()` Gets the reason value from this IntegrityEvent.
    `Event.IntegrityRuleSeverity` | `getSeverity()` Gets the Severity value from this IntegrityEvent.
    `java.lang.String` | `getTags()` Get the tags associated with the event.
    `java.lang.String` | `getType()` Gets the type value from this IntegrityEvent.
    `java.lang.String` | `getUser()` Gets the user value from this IntegrityEvent.
    `Entity` | `getWasEntity()` Gets the Entity value from this IntegrityEvent.
    `void` | `setChange(java.lang.String change)` Sets the change value to this IntegrityEvent.
    `void` | `setDescription(java.lang.String description)` Sets the description value to this IntegrityEvent.
    `void` | `setEventID(java.lang.Long integrityEventID)` Set the integrityEventID value to this IntegrityEvent.
    `void` | `setHostID(java.lang.Integer hostID)` Sets the hostID value to this IntegrityEvent.
    `void` | `setHostName(java.lang.String hostName)` Sets the hostName value to this IntegrityEvent.
    `void` | `setIntegrityRuleID(java.lang.Integer integrityRuleID)` Sets the integrityRuleID value to this IntegrityEvent.
    `void` | `setIsEntity(Entity isEntity)` Sets the Entity value to this IntegrityEvent.
    `void` | `setKey(java.lang.String key)` Sets the key value to this IntegrityEvent.
    `void` | `setLogTime(java.util.Date logTime)` Set the time at which the event was recorded.
    `void` | `setProcess(java.lang.String process)` Sets the process value to this IntegrityEvent.
    `void` | `setRank(java.lang.Integer rank)` Sets the rank value to this IntegrityEvent.
    `void` | `setReason(java.lang.String reason)` Sets the reason value to this IntegrityEvent.
    `void` | `setSeverity(Event.IntegrityRuleSeverity severity)` Sets the Severity value to this IntegrityEvent.
    `void` | `setTags(java.lang.String tags)` Set the tags associated with the event.
    `void` | `setType(java.lang.String type)` Sets the type value to this IntegrityEvent.
    `void` | `setUser(java.lang.String user)` Sets the user value to this IntegrityEvent.
    `void` | `setWasEntity(Entity wasEntity)` Sets the Entity value to this IntegrityEvent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Event

          public Event()

  - ### Method Detail

    - #### getEventID

          public java.lang.Long getEventID()

      Gets the integrityEventID value for this IntegrityEvent
      Returns:
        integrityEventID

    - #### setEventID

          public void setEventID(java.lang.Long integrityEventID)

      Set the integrityEventID value to this IntegrityEvent.
      Parameters:
        `integrityEventID` -

    - #### getChange

          public java.lang.String getChange()

      Gets the change value from this IntegrityEvent.
      Returns:
        change

    - #### setChange

          public void setChange(java.lang.String change)

      Sets the change value to this IntegrityEvent.
      Parameters:
        `change` -

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description value from this IntegrityEvent.
      Returns:
        description

    - #### setDescription

          public void setDescription(java.lang.String description)

      Sets the description value to this IntegrityEvent.
      Parameters:
        `description` -

    - #### getHostID

          public java.lang.Integer getHostID()

      Gets the hostID value from this IntegrityEvent.
      Returns:
        hostID

    - #### setHostID

          public void setHostID(java.lang.Integer hostID)

      Sets the hostID value to this IntegrityEvent.
      Parameters:
        `hostID` -

    - #### getHostName

          public java.lang.String getHostName()

      Gets the hostName value from this IntegrityEvent.
      Returns:
        hostName

    - #### setHostName

          public void setHostName(java.lang.String hostName)

      Sets the hostName value to this IntegrityEvent.
      Parameters:
        `hostName` -

    - #### getIsEntity

          public Entity getIsEntity()

      Gets the Entity value from this IntegrityEvent. The isEntity stores an entity's attributes after the integrity scan.
      Returns:
        isEntity

    - #### setIsEntity

          public void setIsEntity(Entity isEntity)

      Sets the Entity value to this IntegrityEvent. The isEntity stores an entity's attributes after the integrity scan.
      Parameters:
        `isEntity` -

    - #### getWasEntity

          public Entity getWasEntity()

      Gets the Entity value from this IntegrityEvent. The wasEntity stores an entity's attributes before the integrity scan.
      Returns:
        wasEntity

    - #### setWasEntity

          public void setWasEntity(Entity wasEntity)

      Sets the Entity value to this IntegrityEvent. The wasEntity stores an entity's attributes before the integrity scan.
      Parameters:
        `wasEntity` -

    - #### getKey

          public java.lang.String getKey()

      Gets the key value from this IntegrityEvent.
      Returns:
        key

    - #### setKey

          public void setKey(java.lang.String key)

      Sets the key value to this IntegrityEvent.
      Parameters:
        `key` -

    - #### getProcess

          public java.lang.String getProcess()

      Gets the process value from this IntegrityEvent.
      Returns:
        process

    - #### setProcess

          public void setProcess(java.lang.String process)

      Sets the process value to this IntegrityEvent.
      Parameters:
        `process` -

    - #### getRank

          public java.lang.Integer getRank()

      Gets the rank value from this IntegrityEvent.
      Returns:
        rank

    - #### setRank

          public void setRank(java.lang.Integer rank)

      Sets the rank value to this IntegrityEvent.
      Parameters:
        `rank` -

    - #### getReason

          public java.lang.String getReason()

      Gets the reason value from this IntegrityEvent.
      Returns:
        reason

    - #### setReason

          public void setReason(java.lang.String reason)

      Sets the reason value to this IntegrityEvent.
      Parameters:
        `reason` -

    - #### getSeverity

          public Event.IntegrityRuleSeverity getSeverity()

      Gets the Severity value from this IntegrityEvent.
      Returns:
        severity

    - #### setSeverity

          public void setSeverity(Event.IntegrityRuleSeverity severity)

      Sets the Severity value to this IntegrityEvent.
      Parameters:
        `severity` -

    - #### getIntegrityRuleID

          public java.lang.Integer getIntegrityRuleID()

      Gets the integrityRuleID value from this IntegrityEvent.
      Returns:
        integrityRuleID

    - #### setIntegrityRuleID

          public void setIntegrityRuleID(java.lang.Integer integrityRuleID)

      Sets the integrityRuleID value to this IntegrityEvent.
      Parameters:
        `integrityRuleID` -

    - #### getType

          public java.lang.String getType()

      Gets the type value from this IntegrityEvent.
      Returns:
        type

    - #### setType

          public void setType(java.lang.String type)

      Sets the type value to this IntegrityEvent.
      Parameters:
        `type` -

    - #### getUser

          public java.lang.String getUser()

      Gets the user value from this IntegrityEvent.
      Returns:
        user

    - #### setUser

          public void setUser(java.lang.String user)

      Sets the user value to this IntegrityEvent.
      Parameters:
        `user` -

    - #### getTags

          public java.lang.String getTags()

      Get the tags associated with the event.

      The tags will be returned in a comma-and-whitespace-separated list. For example, if an event has been tagged with `tag1` and `tag2`, then the returned string will be `tag1, tag2`.

      Returns:
        the tags associated with the event.

    - #### setTags

          public void setTags(java.lang.String tags)

      Set the tags associated with the event.
      Parameters:
        `tags` - the tags associated with the event.

    - #### getLogTime

          public java.util.Date getLogTime()

      Get the time at which the event was recorded.
      Returns:
        the time at which the event was recorded.

    - #### setLogTime

          public void setLogTime(java.util.Date logTime)

      Set the time at which the event was recorded.
      Parameters:
        `logTime` - the time at which the event was recorded.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.